> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tokens

> Get custom tokens from your community



## OpenAPI

````yaml GET /v1/community/tokens
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/tokens:
    get:
      description: Get custom tokens from your community
      parameters:
        - in: header
          name: x-api-key
          schema:
            $ref: '#/components/schemas/__schema0'
          required: true
          description: Your community API key
        - in: query
          name: chain
          schema:
            $ref: '#/components/schemas/__schema1'
            description: Specific chain to get tokens for
          description: Specific chain to get tokens for
        - in: query
          name: offset
          schema:
            default: 0
            type: number
            minimum: 0
        - in: query
          name: limit
          schema:
            default: 20
            type: number
            minimum: 0
            maximum: 100
      responses:
        '200':
          description: Custom tokens have been retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    description: Tokens matching the query
                    type: array
                    items:
                      example:
                        chain: Base
                        address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                        symbol: USDC
                        decimals: 6
                        createdAt: 1770897600000
                      type: object
                      properties:
                        chain:
                          description: Token chain
                          type: string
                          enum:
                            - Abstract
                            - ApeChain
                            - Arbitrum
                            - Atto
                            - Avalanche
                            - Base
                            - Berachain
                            - Blast
                            - BSC
                            - CosmosHub
                            - Cronos
                            - Ethereum
                            - Harmony
                            - HyperCore
                            - HyperEvm
                            - Initia
                            - Injective
                            - Intergaze
                            - Linea
                            - Mitosis
                            - Nano
                            - Nibiru
                            - Optimism
                            - Osmosis
                            - Pepecoin
                            - Plasma
                            - Polygon
                            - Robinhood
                            - SEDA
                            - Sei
                            - SeiEvm
                            - Solana
                            - Somnia
                            - Sonic
                            - Stargaze
                            - Terra
                            - Unichain
                            - Yominet
                            - Zaar
                            - zkCronos
                        address:
                          description: Token address
                          type: string
                        symbol:
                          description: Token symbol
                          type: string
                        decimals:
                          description: Number of decimal places used by the token
                          type: number
                        createdAt:
                          description: >-
                            Unix timestamp in milliseconds when the token was
                            added
                          type: number
                      required:
                        - chain
                        - address
                        - symbol
                        - decimals
                        - createdAt
                      additionalProperties: false
                  pagination:
                    $ref: '#/components/schemas/__schema14'
                    description: Pagination metadata
                required:
                  - data
                  - pagination
                additionalProperties: false
components:
  schemas:
    __schema0:
      description: Your community API key
      type: string
    __schema1:
      description: Unique chain identifier in Flipsuite
      type: string
      enum:
        - Abstract
        - ApeChain
        - Arbitrum
        - Atto
        - Avalanche
        - Base
        - Berachain
        - Blast
        - BSC
        - CosmosHub
        - Cronos
        - Ethereum
        - Harmony
        - HyperCore
        - HyperEvm
        - Initia
        - Injective
        - Intergaze
        - Linea
        - Mitosis
        - Nano
        - Nibiru
        - Optimism
        - Osmosis
        - Pepecoin
        - Plasma
        - Polygon
        - Robinhood
        - SEDA
        - Sei
        - SeiEvm
        - Solana
        - Somnia
        - Sonic
        - Stargaze
        - Terra
        - Unichain
        - Yominet
        - Zaar
        - zkCronos
    __schema14:
      type: object
      properties:
        offset:
          description: Offset used by the query
          type: number
        limit:
          description: Limit used by the query
          type: number
        total:
          description: Total items matching the query
          type: number
        count:
          description: Total items included in the response
          type: number
      required:
        - offset
        - limit
        - total
        - count
      additionalProperties: false

````